CodePointMapping (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fonts

## Class CodePointMapping

- java.lang.Object
- - org.apache.fop.fonts.AbstractCodePointMapping
  - - org.apache.fop.fonts.CodePointMapping

- All Implemented Interfaces:
    SingleByteEncoding

      public class CodePointMapping
      extends AbstractCodePointMapping

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CE_ENCODING`
    `static String` | `ISOLATIN1_ENCODING`
    `static String` | `MAC_ROMAN_ENCODING`
    `static String` | `PDF_DOC_ENCODING`
    `static String` | `STANDARD_ENCODING`
    `static String` | `SYMBOL_ENCODING`
    `static String` | `WIN_ANSI_ENCODING`
    `static String` | `ZAPF_DINGBATS_ENCODING`

    - ### Fields inherited from interface org.apache.fop.fonts.SingleByteEncoding

      `NOT_FOUND_CODE_POINT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodePointMapping(String name, int[] table)`
    `CodePointMapping(String name, int[] table, String[] charNameMap)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CodePointMapping` | `getMapping(String encoding)`

    - ### Methods inherited from class org.apache.fop.fonts.AbstractCodePointMapping

      `buildFromTable, getCharNameMap, getCodePointForGlyph, getName, getNameFromCodePoint, getUnicodeCharMap, getUnicodeForIndex, mapChar, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STANDARD_ENCODING

          public static final String STANDARD_ENCODING

      See Also:
        Constant Field Values

    - #### ISOLATIN1_ENCODING

          public static final String ISOLATIN1_ENCODING

      See Also:
        Constant Field Values

    - #### CE_ENCODING

          public static final String CE_ENCODING

      See Also:
        Constant Field Values

    - #### MAC_ROMAN_ENCODING

          public static final String MAC_ROMAN_ENCODING

      See Also:
        Constant Field Values

    - #### WIN_ANSI_ENCODING

          public static final String WIN_ANSI_ENCODING

      See Also:
        Constant Field Values

    - #### PDF_DOC_ENCODING

          public static final String PDF_DOC_ENCODING

      See Also:
        Constant Field Values

    - #### SYMBOL_ENCODING

          public static final String SYMBOL_ENCODING

      See Also:
        Constant Field Values

    - #### ZAPF_DINGBATS_ENCODING

          public static final String ZAPF_DINGBATS_ENCODING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CodePointMapping

          public CodePointMapping(String name,
                                  int[] table)

    - #### CodePointMapping

          public CodePointMapping(String name,
                                  int[] table,
                                  String[] charNameMap)

  - ### Method Detail

    - #### getMapping

          public static CodePointMapping getMapping(String encoding)

Copyright © 2025 Apache Software Foundation. All rights reserved.